/**
 * RoleClassEmployee2.java
 *
 * File generated from the medication2::RoleClassEmployee2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassEmployee2.
 *
 * 
 */

@XmlType(name = "RoleClassEmployee")
@XmlEnum
@XmlRootElement(name = "RoleClassEmployee2")
public enum RoleClassEmployee2 {
	@XmlEnumValue("EMP")
	EMP("EMP"),
	@XmlEnumValue("MIL")
	MIL("MIL");
	
	private final String value;

    RoleClassEmployee2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassEmployee2 fromValue(String v) {
        for (RoleClassEmployee2 c: RoleClassEmployee2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
